Bug 596947 - F12 WiFi Link 5100 - iwlagn 0000:0c:00.0: MAC is in deep sleep!. CSR_GP_CNTRL = 0xFFFFFFFF
F12 WiFi Link 5100 - iwlagn 0000:0c:00.0: MAC is in deep sleep!. CSR_GP_CNTR...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 611075
  Show dependency treegraph
 
Reported: 2010-05-27 15:45 EDT by Nitin Bansal
Modified: 2013-01-10 03:08 EST (History)
16 users (show)

See Also:
Fixed In Version: kernel-2.6.32.14-127.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:16:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nitin Bansal 2010-05-27 15:45:16 EDT
Description of problem:

This problem happens very frequently, each time laptop is connected to wireless it disconnects after a while with following messages in /var/log/messages:


May 27 20:23:47 localhost kernel: iwlagn 0000:0c:00.0: queue 0 stuck 3 time. Fw reload.
May 27 20:23:47 localhost kernel: iwlagn 0000:0c:00.0: On demand firmware reload
May 27 20:23:47 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
May 27 20:23:47 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
May 27 20:23:47 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
May 27 20:23:47 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
May 27 20:23:47 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
May 27 20:23:47 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
May 27 20:23:47 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF


wireless info:

0c:00.0 Network controller: Intel Corporation Wireless WiFi Link 5100

kernel version:

kernel-2.6.32.12-115.fc12.x86_64


How reproducible:
Randomly

Steps to Reproduce:
No particular steps


Expected results:
System should to lose wifi connectivity

Additional info:
Please let me know.
Comment 1 Nitin Bansal 2010-05-27 16:02:50 EDT
If there is a test kernel based on http://bugzilla.intellinuxwireless.org/show_bug.cgi?id=2037, I can test it.
Comment 2 Nitin Bansal 2010-05-27 16:08:09 EDT
> 
> Expected results:
> System should to lose wifi connectivity
> 
Typo here :-) system should not ..
Comment 3 John W. Linville 2010-05-28 09:44:39 EDT
Well, in fact the kernels you mention do have the patches from comment 113 of that bug already applied.  Perhaps you could try 2.6.32.14-127.fc12?

http://koji.fedoraproject.org/koji/buildinfo?buildID=175410

It has a few more iwlwifi patches that might be vaguely related to the problem you are experiencing.  Does it help you?
Comment 4 Nitin Bansal 2010-06-04 01:45:20 EDT
Running this kernel since last 3 days, no problems so far. 

Thanks,
Comment 5 John W. Linville 2010-06-09 14:09:42 EDT
Cool, thanks!
Comment 6 Nitin Bansal 2010-06-16 02:55:31 EDT
John, problem reoccurred last night, I am not sure what triggered it:

Jun 15 22:23:35 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
Jun 15 22:23:35 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
Jun 15 22:23:35 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
Jun 15 22:23:35 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
Jun 15 22:23:35 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
Jun 15 22:23:35 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
Jun 15 22:23:35 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
Jun 15 22:23:40 localhost kernel: iwlagn 0000:0c:00.0: Could not load the INST uCode section
Jun 15 22:23:40 localhost kernel: iwlagn 0000:0c:00.0: Unable to set up bootstrap uCode: -110
Jun 15 22:23:40 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
Jun 15 22:23:40 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
Jun 15 22:23:40 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
Jun 15 22:23:40 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
Jun 15 22:23:40 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
Jun 15 22:23:40 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF

$ uname -a
Linux localhost.localdomain 2.6.32.14-127.fc12.x86_64 #1 SMP Fri May 28 04:30:39 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
Comment 7 John W. Linville 2010-06-16 10:26:25 EDT
Reinette, any new insight on what is causing these apparent PCI bus disconnects?
Comment 8 reinette chatre 2010-06-16 12:59:30 EDT
In this case do these problems show up every time after a firmware restart was triggered? In this case it is a new issue.

John, we are struggling with this issue. I really think somewhere the driver is now doing something wrong. Since we implemented that thermal throttling to address device overheating and surely we can eliminate improperly seated cards I think we are left with the driver DMAing something to a bogus address or some other programming error. The problem is that the chipset of mobile devices do not support AER (advanced error reporting, see Documentation/PCI/pcieaer-howto.txt) for us to immediately be made aware when the bus detects and error. Instead we are just disconnected. I started looking into our "register reads are retuning 0xffffffff" as a crude PCI bus error detection mechanism and then started looking into if we can reset things when this happens. I know, this is yet another workaround and does not address the driver bug that causes all of this. 

I am not familiar with the details of PCI in this regard and trying to get some answers from other people to see if this could actually work. If you know about a way in which this can be reproduced it will be great information.
Comment 9 michael kuhlen 2010-06-17 19:18:08 EDT
I think I'm experiencing a related issue. Different kernel (Fedora 13) and hardware, and no "MAC is in deep sleep!", but random wifi disconnects with "On demand firmware reload".

wireless info:
03:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)

kernel version:
2.6.33.5-112.fc13.x86_64

From /var/log/messages:
Jun 17 15:26:49 laptop kernel: iwlagn 0000:03:00.0: queue 4 stuck 3 time. Fw rel
oad.
Jun 17 15:26:49 laptop kernel: iwlagn 0000:03:00.0: On demand firmware reload


I simply reload the wireless connection and all is fine until the next disconnect.


Note that a while ago I was getting wifi disconnects with this error in /var/log/messages:
Jun  7 09:22:27 laptop kernel: iwlagn 0000:03:00.0: Microcode SW error detected.  Restarting 0x2000000.

That seems to have been due to a too high power setting, which I fixed by turning on automatic power management with "sudo iwconfig wlan0 power on".


Should I file a new bug report?
Comment 10 John W. Linville 2010-06-18 09:37:51 EDT
Comment 9 is definitely a different issue.  Are you saying that the "On demand firmware reload" does not result in a successful reconnect by itself?  In that case, feel free to open a new bug.
Comment 11 reinette chatre 2010-06-21 17:35:24 EDT
(In reply to comment #6)
> John, problem reoccurred last night, I am not sure what triggered it:
> 
> Jun 15 22:23:35 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!. 
> CSR_GP_CNTRL = 0xFFFFFFFF
> Jun 15 22:23:35 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!. 
> CSR_GP_CNTRL = 0xFFFFFFFF
> Jun 15 22:23:35 localhost kernel: iwlagn 0000:0c:00.0: MAC is in deep sleep!. 
> CSR_GP_CNTRL = 0xFFFFFFFF

Is the PCI config space still accessible when the device gets into this state? Could you please check the device id with lspci and then run "lspci -s <device> -xxxx" when this error occurs?
Comment 12 Christian Wagner 2010-07-05 11:24:10 EDT
> Is the PCI config space still accessible when the device gets into this state?
> Could you please check the device id with lspci and then run "lspci -s <device>
> -xxxx" when this error occurs?  

I have the same problem, same messages in syslog. I tried lspci - here is the result:

root@xxx:~# lspci -s 0000:03:00.0 -xxxx
03:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev ff)
00: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
10: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
20: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
30: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
40: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
50: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
60: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
70: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
80: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
90: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
a0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
b0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
c0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
d0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
e0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
f0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
100: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
110: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
120: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
130: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
140: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
150: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
160: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
170: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
180: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
190: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
1a0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
1b0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
1c0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
1d0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
1e0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
1f0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
200: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
210: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
220: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
230: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
240: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
250: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
260: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
270: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
280: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
290: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
2a0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
2b0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
2c0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
2d0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
2e0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
2f0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
300: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
310: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
320: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
330: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
340: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
350: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
360: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
370: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
380: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
390: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
3a0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
3b0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
3c0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
3d0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
3e0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
3f0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
400: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
410: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
420: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
430: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
440: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
450: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
460: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
470: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
480: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
490: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
4a0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
4b0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
4c0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
4d0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
4e0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
4f0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
500: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
510: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
520: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
530: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
540: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
550: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
560: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
570: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
580: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
590: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
5a0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
5b0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
5c0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
5d0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
5e0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
5f0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
600: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
610: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
620: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
630: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
640: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
650: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
660: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
670: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
680: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
690: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
6a0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
6b0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
6c0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
6d0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
6e0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
6f0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
700: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
710: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
720: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
730: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
740: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
750: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
760: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
770: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
780: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
790: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
7a0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
7b0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
7c0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
7d0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
7e0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
7f0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
800: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
810: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
820: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
830: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
840: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
850: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
860: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
870: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
880: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
890: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
8a0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
8b0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
8c0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
8d0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
8e0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
8f0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
900: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
910: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
920: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
930: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
940: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
950: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
960: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
970: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
980: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
990: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
9a0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
9b0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
9c0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
9d0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
9e0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
9f0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
a00: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
a10: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
a20: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
a30: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
a40: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
a50: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
a60: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
a70: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
a80: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
a90: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
aa0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
ab0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
ac0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
ad0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
ae0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
af0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
b00: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
b10: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
b20: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
b30: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
b40: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
b50: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
b60: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
b70: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
b80: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
b90: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
ba0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
bb0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
bc0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
bd0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
be0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
bf0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
c00: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
c10: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
c20: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
c30: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
c40: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
c50: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
c60: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
c70: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
c80: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
c90: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
ca0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
cb0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
cc0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
cd0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
ce0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
cf0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
d00: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
d10: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
d20: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
d30: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
d40: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
d50: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
d60: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
d70: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
d80: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
d90: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
da0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
db0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
dc0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
dd0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
de0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
df0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
e00: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
e10: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
e20: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
e30: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
e40: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
e50: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
e60: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
e70: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
e80: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
e90: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
ea0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
eb0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
ec0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
ed0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
ee0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
ef0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
f00: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
f10: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
f20: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
f30: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
f40: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
f50: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
f60: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
f70: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
f80: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
f90: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
fa0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
fb0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
fc0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
fd0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
fe0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
ff0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
Comment 13 Christian Wagner 2010-07-06 02:45:30 EDT
Yesterday I played a bit with rmmod and modprobe and I recieved the following messages in syslog:

root@xxx:~# rmmod wlagn
root@xxx:~# modprobe wlagn

Jul  5 23:43:23 xxx kernel: [28410.314462] iwlagn: Intel(R) Wireless WiFi Link AGN driver for Linux, 1.3.27k
Jul  5 23:43:23 xxx kernel: [28410.314465] iwlagn: Copyright(c) 2003-2009 Intel Corporation
Jul  5 23:43:23 xxx kernel: [28410.314904] iwlagn 0000:03:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
Jul  5 23:43:23 xxx kernel: [28410.314919] iwlagn 0000:03:00.0: setting latency timer to 64
Jul  5 23:43:23 xxx kernel: [28410.314961] iwlagn 0000:03:00.0: Detected Intel Wireless WiFi Link 4965AGN REV=0xFFFFFFFF
Jul  5 23:43:23 xxx kernel: [28410.317004] iwlagn 0000:03:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
Jul  5 23:43:23 xxx kernel: [28410.356041] iwlagn 0000:03:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
Jul  5 23:43:23 xxx kernel: [28410.364763] iwlagn 0000:03:00.0: MAC is in deep sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
Jul  5 23:43:23 xxx kernel: [28410.377182] iwlagn 0000:03:00.0: Unknown hardware type
Jul  5 23:43:23 xxx kernel: [28410.377184] iwlagn 0000:03:00.0: Unable to init EEPROM
Jul  5 23:43:23 xxx kernel: [28410.377520] iwlagn 0000:03:00.0: PCI INT A disabled
Jul  5 23:43:23 xxx kernel: [28410.377534] iwlagn: probe of 0000:03:00.0 failed with error -2

I got the known 'MAC is in deep sleep' message and additionally 'Unknown hardware type', 'Unable to init EEPROM' and 'PCI INT A disabled'
Comment 14 wey-yi.w.guy 2010-07-12 10:14:04 EDT
There are few reasons for PCIe disappearances, but nearly all PCIe device disappearances in the past were caused by having L0s enabled on either the PCIe root port (Chipset I/O controller) or the PCIe end point (WiFi NIC).

Could you please check the BIOS has the L0 disabled.

Thanks

 
(In reply to comment #13)
> Yesterday I played a bit with rmmod and modprobe and I recieved the following
> messages in syslog:
> root@xxx:~# rmmod wlagn
> root@xxx:~# modprobe wlagn
> Jul  5 23:43:23 xxx kernel: [28410.314462] iwlagn: Intel(R) Wireless WiFi Link
> AGN driver for Linux, 1.3.27k
> Jul  5 23:43:23 xxx kernel: [28410.314465] iwlagn: Copyright(c) 2003-2009 Intel
> Corporation
> Jul  5 23:43:23 xxx kernel: [28410.314904] iwlagn 0000:03:00.0: PCI INT A ->
> GSI 17 (level, low) -> IRQ 17
> Jul  5 23:43:23 xxx kernel: [28410.314919] iwlagn 0000:03:00.0: setting latency
> timer to 64
> Jul  5 23:43:23 xxx kernel: [28410.314961] iwlagn 0000:03:00.0: Detected Intel
> Wireless WiFi Link 4965AGN REV=0xFFFFFFFF
> Jul  5 23:43:23 xxx kernel: [28410.317004] iwlagn 0000:03:00.0: MAC is in deep
> sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
> Jul  5 23:43:23 xxx kernel: [28410.356041] iwlagn 0000:03:00.0: MAC is in deep
> sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
> Jul  5 23:43:23 xxx kernel: [28410.364763] iwlagn 0000:03:00.0: MAC is in deep
> sleep!.  CSR_GP_CNTRL = 0xFFFFFFFF
> Jul  5 23:43:23 xxx kernel: [28410.377182] iwlagn 0000:03:00.0: Unknown
> hardware type
> Jul  5 23:43:23 xxx kernel: [28410.377184] iwlagn 0000:03:00.0: Unable to init
> EEPROM
> Jul  5 23:43:23 xxx kernel: [28410.377520] iwlagn 0000:03:00.0: PCI INT A
> disabled
> Jul  5 23:43:23 xxx kernel: [28410.377534] iwlagn: probe of 0000:03:00.0 failed
> with error -2
> I got the known 'MAC is in deep sleep' message and additionally 'Unknown
> hardware type', 'Unable to init EEPROM' and 'PCI INT A disabled'
Comment 15 John W. Linville 2010-07-13 11:54:14 EDT
Alternatively, can you try adding this to the kernel command line in grub.conf (and rebooting)?

pcie_aspm=off
Comment 16 Christian Wagner 2010-07-14 08:08:12 EDT
(In reply to comment #15)
> Alternatively, can you try adding this to the kernel command line in grub.conf
> (and rebooting)?
> 
> pcie_aspm=off    

I can't find the PCIe L0 settings in the BIOS. I have a Lenovo T61. Therefore, I tried the second hint and added pcie_aspm=off to grub.conf. So far so good currently the WLAN driver is running.
Comment 17 wey-yi.w.guy 2010-07-14 11:55:37 EDT
thank you for testing, please provide the update if you have more information.

Regards
Wey
Comment 18 Christian Wagner 2010-07-29 10:39:52 EDT
Since 14-days everything works fine - no problems


(In reply to comment #17)
> thank you for testing, please provide the update if you have more information.
> 
> Regards
> Wey
Comment 19 John W. Linville 2010-08-05 13:21:42 EDT
Given that pcie_aspm=off seems to avoid this issue, I'm not inclined to think that this is an iwlwifi problem.
Comment 20 wey-yi.w.guy 2010-08-05 13:28:55 EDT
agree, this is an known issue and iwl driver having issue witj L0 enabled.
Comment 21 Matthew Garrett 2010-08-05 13:33:01 EDT
If a piece of hardware advertises ASPM but doesn't actually work with it, it's the driver's responsibility to disable it.
Comment 22 John W. Linville 2010-08-05 15:41:12 EDT
F12 test kernels w/ equivalent patch to the one in bug 611075 comment 36 are available here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2383025

When the build completes, please give them a try (and remove the pcie_aspm=off option)...do these also avoid the issue for you?
Comment 23 John W. Linville 2010-08-24 13:54:24 EDT
Nitin, ping?
Comment 24 Nitin Bansal 2010-08-25 03:02:13 EDT
Hi John, 

I am running 2.6.32.16-154.bz596947.fc12.x86_64, I dont receive MAC is in deep sleep anymore, though sometimes randomly wi-fi is disconnected and following messages are printed in /var/log/messages


Aug 24 19:44:17 localhost NetworkManager[1548]: <info> (wlan0): supplicant connection state:  completed -> group handshake
Aug 24 19:44:17 localhost NetworkManager[1548]: <info> (wlan0): supplicant connection state:  group handshake -> completed
Aug 24 20:14:17 localhost NetworkManager[1548]: <info> (wlan0): supplicant connection state:  completed -> group handshake
Aug 24 20:14:17 localhost NetworkManager[1548]: <info> (wlan0): supplicant connection state:  group handshake -> completed
Aug 24 20:27:13 localhost rtkit-daemon[1740]: Sucessfully made thread 3423 of process 1890 (/usr/bin/pulseaudio) owned by '500' RT at priority 5.
Aug 24 20:27:31 localhost rtkit-daemon[1740]: Sucessfully made thread 3445 of process 1890 (/usr/bin/pulseaudio) owned by '500' RT at priority 5.
Aug 24 20:27:49 localhost pulseaudio[1890]: ratelimit.c: 900 events suppressed
Aug 24 20:44:18 localhost NetworkManager[1548]: <info> (wlan0): supplicant connection state:  completed -> group handshake
Aug 24 20:44:18 localhost NetworkManager[1548]: <info> (wlan0): supplicant connection state:  group handshake -> completed
Aug 24 21:14:18 localhost NetworkManager[1548]: <info> (wlan0): supplicant connection state:  completed -> group handshake
Aug 24 21:14:18 localhost NetworkManager[1548]: <info> (wlan0): supplicant connection state:  group handshake -> completed
Aug 24 21:33:08 localhost NetworkManager[1548]: <info> (wlan0): supplicant connection state:  completed -> disconnected
Aug 24 21:33:08 localhost NetworkManager[1548]: <info> (wlan0): supplicant connection state:  disconnected -> scanning
Aug 24 21:33:11 localhost NetworkManager[1548]: <info> (wlan0): supplicant connection state:  scanning -> associating

Sometimes NetworkManager restart fixes it, sometimes I need to reboot. I am not sure if its related to the original issue or if the test kernel is causing it.
Comment 25 Bug Zapper 2010-11-03 10:00:02 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Bug Zapper 2010-12-03 09:16:33 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.